/* CSS styles that only affect printing   
    But doesn't work ...

@media print {
    .print-table-cell {
        border: 1px solid black;
        font-size: 10px;
        font-weight: bold !important;
    }

}

*/


html {
    font-size: 0.9rem;
}

body {
     background-color: #cccccc;  
}

.container {
    padding: 10px;
    border: solid 1px #aaaaaa;
    background-color: white;
}

.body-content {
    padding: 5px;
}

h1, h2, h3, h4, h5, h6
{
    color: #000000;
    font-weight: bold;
}


/* Used in Vue divs to stop "flash display" of elements when loading */
[v-cloak] {
    display: none;
  }

/* Removes padding from the NavBar*/
.navbar {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    
 }

 .btn-anibar {
    margin: 1px;
 }

 .btn-round {
    width: 30px;
    height: 30px;
    padding: 6px 0px;
    border-radius: 15px;
    border: 1px solid black;
    line-height: 1.428;
    text-align: center;
    margin: 1px;
 }

 /* Flight Information Modal */
.fltinfo-heading {
    background-color: rgb(135, 192, 206);
    width: 100%;
    border: 1px solid black; 
    height:2em;
    padding: 0.25em;
    font-weight: bold;
    margin: 10px 0px 5px 0px;
}

.info-font {
    font-size: 12px;
}

.editdialog-container {
    position:fixed; 
    bottom:90px; 
    width:100%;
}

.editdialog-div {
    border: 1px solid black;
    border-radius: 5px;
    background-color: white;
    padding: 5px;
    width: 350px;
    margin:auto;
}

.editdialog-header {
    padding: 5px;
}

.editdialog-text {
    padding: 0px; 
}

/* SETTINGS DRAWER */
.settingsdrawer {
    width: 650px !important;
}

.settingsdrawer-label {
    width: 35%;
}

.settingsdrawer-label-right {
    padding-left: 5px;
}

.settingsdrawer-input {
    width: 60%;
    border: 1px solid lightgrey;
    border-radius: 0.2rem;
    min-height: 1.7rem;
}

.settingsdrawer-textarea-right {
    width: 60%;
    border: 1px solid lightgrey;
    border-radius: 0.2rem;
}

.settingsdrawer-select {
    width: 60%;
    padding: 1px 2px;
    margin: 0px 0px 3px 0px;
    border: 1px solid lightgrey;
    border-radius: 0.2rem;
    display: inline-block;
    min-height: 1.7rem;
}

.plotter-flt-summary {
    position:fixed;
    top:50px;
    width:300px;
    font-size: 0.8rem;
    color: white;
    /* background: black; */

}

/* OVERRIDE CHARTIST */

/* The series are a, b, c, d etc*/

.ct-series-a .ct-line {
    /* Set the colour of this series line */
    stroke: rgb(0, 89, 255);

    /* Control the thickness of your lines */
    stroke-width: 2px;

    /* Create a dashed line with a pattern */
    /* stroke-dasharray: 10px 20px; */

}

.ct-series-a .ct-point {
/* Set the colour of this series points */
stroke: rgb(0, 89, 255);

/* Control the thickness of your points */
stroke-width: 5px;

/* Make your points appear as squares */
stroke-linecap: square;
}

/*****************************************************************
 OVERRIDE noUiSlider 
 *****************************************************************/

/* Set Standard Width of Handle*/
.noUi-handle {
width: 16px !important;
right: -8px !important; 
background: #888888;
}

/* Set the handles to be contained within the slider bar
div#position_slider {
    padding: 0 6px;
}*/

/* Set the slider bar height */
div#position_slider {
    height: 10px;
}

/* Prevent cursor on disabled handle changing to not-allowed*/
[disabled] .noUi-handle {
    cursor: default;
}

/* Hide the vertical lines on the Handles*/
.noUi-handle:before,
.noUi-handle:after {
    display: none;
}

/* Set styling of Start Handles (relies on custom attributes on handles */
div[markertype="start"] {
    width: 8px !important;
    right: -4px !important;
    background-color: green;
  }

/* Set styling of End Handles (relies on custom attributes on handles */
div[markertype="end"] {
    width: 8px !important;
    right: -4px !important;
    background-color: red;
}

/* Show a border when hovering the area the handle responds to 
.noUi-handle:hover .noUi-touch-area {
    border: 1px dashed #7f7f7f;
}*/

/* Increase size of Touch Area on the Start and End Handles */
.noUi-touch-area {
    border: 1px solid transparent;
    position: absolute;
    top: -2px;
    left: -10px;
    right: -10px;
    bottom: -2px;
    width: auto;
    height: auto;
}

/* Hide Pip values */
.noUi-value-large {
    display: none;
}

/* Hide small zero marker from pips */
.noUi-marker-normal{
    display: none;
}

/* Move the pip lines up closer to the slider bar */
.noUi-pips-horizontal{
    padding: 5px 0px;
}